%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gnome-desktop
Version:	2.28.1
Release:	1
BuildArch:	i686
Summary:	Package containing code shared among gnome-panel, gnome-session, nautilus, etc
License:	GNU/GPL
URL:		http://www.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/gnome-desktop/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libX11-devel
BuildRequires: libXrandr-devel
BuildRequires: pango-devel
BuildRequires: python26-devel
BuildRequires: startup-notification-devel
BuildRequires: zlib-devel gvfs-devel dbus-devel dbus-glib-devel gnome-doc-utils libxml2-devel libxslt-devel

%description
The gnome-desktop package contains an internal library
(libgnomedesktop) used to implement some portions of the GNOME
desktop, and also some data files and other shared components of the
GNOME user environment.

%package	devel
Summary:	Libraries and headers for libgnome-desktop
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Libraries and header files for the GNOME-internal private library 
libgnomedesktop

%post
ldconfig

%postun
ldconfig

%prep
%setup -q
FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

%build
%configure \
--with-gnome-distributor="CCux Linux" \
--disable-scrollkeeper \
PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# stuff we don't want
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%define po_package gnome-desktop-2.0
%find_lang %{po_package}

%files -f %{po_package}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%_applications/gnome-about.desktop
%_datadir/gnome-about
%_datadir/gnome/help/fdl
%_datadir/gnome/help/gpl
%_datadir/gnome/help/lgpl
%_datadir/libgnome-desktop/pnp.ids
%_pixmaps
%_mandir
%_datadir/omf/*
%_libdir/lib*.so.*
%_bindir

%files devel
%defattr(-,root,root,-)
%_libdir/*.a
%_libdir/*.la
%_libdir/lib*.so
%_pkgconfig
%_includedir
%_datadir/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-1
- Version update
* Thu May 07 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.1-2
- rebuilt with explicit /usr/bin/python2.5
* Tue Apr 14 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.1-1
- Version update
* Mon Mar 23 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update, patch removal
* Fri Jan 09 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-1
- patch removal
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-2
- patch removal
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 2.20.3-1
- Version update
* Wed Nov 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Tue Oct 15 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-1
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Mon Dec 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.2-1
- Version update
* Mon Nov 20 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.2-1
- Version update
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-4
- readded patches and missing files
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-2
- rebuild, moved libexec
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update, moved prefix
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Version Update
* Sat Mar 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.91-2
- moved all files to /opt/gnome, added manfile
* Tue Feb 28 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.91-1
- Initial Release
